List tasks
curl --request GET \
--url https://{instance}/api/v1/tasks \
--header 'Authorization: Bearer <token>'import requests
url = "https://{instance}/api/v1/tasks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{instance}/api/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"status": "pending",
"priority": "low",
"dueDate": "<string>",
"completedAt": "<string>",
"ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"candidateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"interviewId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"meta": {
"pagination": {
"nextCursor": "<string>",
"hasMore": true,
"limit": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Tasks
List tasks
GET
/
api
/
v1
/
tasks
List tasks
Query Structure
query($filter: TaskFilterType) {
tasks {
all(filter: $filter) {
edges {
node {
id
status
subtype
start_quantity
confirmed_quantity
created_at
account {
id
code
}
warehouse {
id
code
}
product {
id
code
}
task_type {
id
code
}
location_from {
id
code
}
location_to {
id
code
}
}
}
}
}
}
Filter Argument
All filters are passed inside thefilter argument. Each filter field accepts an input object with operators:
{
"filter": {
"status": {
"eq": "AVAILABLE"
},
"task_type_code": {
"eq": "PICK"
}
}
}
Available Filters
| Filter | Input Type | Operators | Description |
|---|---|---|---|
status | StringInputType | eq, ilike, like, in, between | Task status (e.g., AVAILABLE, ALLOCATED, COMPLETED) |
subtype | StringInputType | eq, ilike, like, in, between | Task subtype |
task_type_code | StringInputType | eq, ilike, like, in, between | Task type code (PICK, DISP, RCV, PWAY, TRAN, REPLEN, LOAD, CONV) |
account_id | IdInputType | eq, gt, gteq, lt, lteq, in, filled | Filter by account ID |
warehouse_id | IdInputType | eq, gt, gteq, lt, lteq, in, filled | Filter by warehouse ID |
product_id | IdInputType | eq, gt, gteq, lt, lteq, in, filled | Filter by product ID |
location_from_id | IdInputType | eq, gt, gteq, lt, lteq, in, filled | Filter by source location ID |
location_to_id | IdInputType | eq, gt, gteq, lt, lteq, in, filled | Filter by destination location ID |
user_id | IdInputType | eq, gt, gteq, lt, lteq, in, filled | Filter by assigned user ID |
goods_out_id | IdInputType | eq, gt, gteq, lt, lteq, in, filled | Filter by goods out order ID |
goods_in_receipt_line_id | IdInputType | eq, gt, gteq, lt, lteq, in, filled | Filter by goods in receipt line ID |
storage_unit_from_id | IdInputType | eq, gt, gteq, lt, lteq, in, filled | Filter by source storage unit ID |
load_id | IdInputType | eq, gt, gteq, lt, lteq, in, filled | Filter by load ID |
assigned_at | DatetimeInputType | eq, from, to, between | Filter by assignment date |
completed_at | DatetimeInputType | eq, from, to, between | Filter by completion date |
created_at | DatetimeInputType | eq, from, to, between | Filter by creation date |
priority | IntegerInputType | eq, gt, gteq, lt, lteq, between | Filter by priority |
drop_sequence | IntegerInputType | eq, gt, gteq, lt, lteq, between | Filter by drop sequence |
Filter Operators
| Input Type | Operators |
|---|---|
| StringInputType | eq (exact), ilike (case-insensitive partial), like (case-sensitive partial), in (array match), between (range) |
| IntegerInputType | eq, gt, gteq, lt, lteq, between |
| DatetimeInputType | eq, from, to, between |
| BooleanInputType | eq (required) |
| IdInputType | eq, gt, gteq, lt, lteq, in, filled |
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 100Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
pending, in_progress, completed, canceled Available options:
low, medium, high, urgent Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Was this page helpful?